texture g_MeshTexture;
float4 color2;

sampler TextureSampler =
sampler_state
{
	Texture = <g_MeshTexture>;
	MipFilter = LINEAR;
	MinFilter = LINEAR;
	MagFilter = LINEAR;
};
struct PS_INPUT
{
	float4 Pos  : POSITION;
	float4 Color: COLOR0;
	float2 TuTv : TEXCOORD0;
};

void pixel_shader(PS_INPUT Input, out float4 vColorOut: COLOR0)
{
    float4 c = tex2D(TextureSampler, Input.TuTv);
    c.rgb += color2.rbg*c.a*color2.a;
	vColorOut = Input.Color*c;
}

