//varying vec4 colorVarying;
//varying vec2 texcoordVarying;
//uniform sampler2D TextureSampler;
//uniform vec4 color2;
//void main (void)
//{
//    vec4 c = texture2D(TextureSampler, texcoordVarying);
//    c.rgb += color2.rbg*c.a*color2.a;
//	gl_FragColor = vec4(1,1,1,1);//colorVarying*c;
//}

varying vec4 colorVarying;
uniform sampler2D TextureSampler;
uniform vec4 color2;
void main (void)
{
    vec4 c = texture2D(TextureSampler, gl_TexCoord[0].st);
    c.rgb += color2.rbg*c.a*color2.a;
	gl_FragColor = colorVarying*c;
}